package com.mortals.xhx.module.staff.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.staff.model.StaffCareEntity;
/**
* 员工关怀信息查询对象
*
* @author zxfei
* @date 2023-04-07
*/
public class StaffCareQuery extends StaffCareEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 开始 出生日期 */
    private String birthdayStart;

    /** 结束 出生日期 */
    private String birthdayEnd;

    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 职位ID */
    private Long jobIdStart;

    /** 结束 职位ID */
    private Long jobIdEnd;

    /** 增加 职位ID */
    private Long jobIdIncrement;

    /** 职位ID列表 */
    private List <Long> jobIdList;

    /** 职位ID排除列表 */
    private List <Long> jobIdNotList;

    /** 职位名称 */
    private List<String> jobNameList;

    /** 职位名称排除列表 */
    private List <String> jobNameNotList;
    /** 开始 入职时间 */
    private String entryDateStart;

    /** 结束 入职时间 */
    private String entryDateEnd;

    /** 开始 关怀类型(1.生日关怀,2.入职周年关怀) */
    private Integer careTypeStart;

    /** 结束 关怀类型(1.生日关怀,2.入职周年关怀) */
    private Integer careTypeEnd;

    /** 增加 关怀类型(1.生日关怀,2.入职周年关怀) */
    private Integer careTypeIncrement;

    /** 关怀类型(1.生日关怀,2.入职周年关怀)列表 */
    private List <Integer> careTypeList;

    /** 关怀类型(1.生日关怀,2.入职周年关怀)排除列表 */
    private List <Integer> careTypeNotList;

    /** 开始 发送状态(0.未发送,1.已发送) */
    private Integer sendStatusStart;

    /** 结束 发送状态(0.未发送,1.已发送) */
    private Integer sendStatusEnd;

    /** 增加 发送状态(0.未发送,1.已发送) */
    private Integer sendStatusIncrement;

    /** 发送状态(0.未发送,1.已发送)列表 */
    private List <Integer> sendStatusList;

    /** 发送状态(0.未发送,1.已发送)排除列表 */
    private List <Integer> sendStatusNotList;

    /** 关怀内容 */
    private List<String> contentList;

    /** 关怀内容排除列表 */
    private List <String> contentNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StaffCareQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StaffCareQuery> andConditionList;

    public StaffCareQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 开始 出生日期
    * @return birthdayStart
    */
    public String getBirthdayStart(){
        return this.birthdayStart;
    }

    /**
    * 设置 开始 出生日期
    * @param birthdayStart
    */
    public void setBirthdayStart(String birthdayStart){
        this.birthdayStart = birthdayStart;
    }

    /**
    * 获取 结束 出生日期
    * @return birthdayEnd
    */
    public String getBirthdayEnd(){
        return this.birthdayEnd;
    }

    /**
    * 设置 结束 出生日期
    * @param birthdayEnd
    */
    public void setBirthdayEnd(String birthdayEnd){
        this.birthdayEnd = birthdayEnd;
    }

    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 开始 职位ID
    * @return jobIdStart
    */
    public Long getJobIdStart(){
        return this.jobIdStart;
    }

    /**
    * 设置 开始 职位ID
    * @param jobIdStart
    */
    public void setJobIdStart(Long jobIdStart){
        this.jobIdStart = jobIdStart;
    }

    /**
    * 获取 结束 职位ID
    * @return $jobIdEnd
    */
    public Long getJobIdEnd(){
        return this.jobIdEnd;
    }

    /**
    * 设置 结束 职位ID
    * @param jobIdEnd
    */
    public void setJobIdEnd(Long jobIdEnd){
        this.jobIdEnd = jobIdEnd;
    }

    /**
    * 获取 增加 职位ID
    * @return jobIdIncrement
    */
    public Long getJobIdIncrement(){
        return this.jobIdIncrement;
    }

    /**
    * 设置 增加 职位ID
    * @param jobIdIncrement
    */
    public void setJobIdIncrement(Long jobIdIncrement){
        this.jobIdIncrement = jobIdIncrement;
    }

    /**
    * 获取 职位ID
    * @return jobIdList
    */
    public List<Long> getJobIdList(){
        return this.jobIdList;
    }

    /**
    * 设置 职位ID
    * @param jobIdList
    */
    public void setJobIdList(List<Long> jobIdList){
        this.jobIdList = jobIdList;
    }

    /**
    * 获取 职位ID
    * @return jobIdNotList
    */
    public List<Long> getJobIdNotList(){
        return this.jobIdNotList;
    }

    /**
    * 设置 职位ID
    * @param jobIdNotList
    */
    public void setJobIdNotList(List<Long> jobIdNotList){
        this.jobIdNotList = jobIdNotList;
    }


    /**
    * 获取 职位名称
    * @return jobNameList
    */
    public List<String> getJobNameList(){
        return this.jobNameList;
    }

    /**
    * 设置 职位名称
    * @param jobNameList
    */
    public void setJobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
    }

    /**
    * 获取 职位名称
    * @return jobNameNotList
    */
    public List<String> getJobNameNotList(){
        return this.jobNameNotList;
    }

    /**
    * 设置 职位名称
    * @param jobNameNotList
    */
    public void setJobNameNotList(List<String> jobNameNotList){
        this.jobNameNotList = jobNameNotList;
    }

    /**
    * 获取 开始 入职时间
    * @return entryDateStart
    */
    public String getEntryDateStart(){
        return this.entryDateStart;
    }

    /**
    * 设置 开始 入职时间
    * @param entryDateStart
    */
    public void setEntryDateStart(String entryDateStart){
        this.entryDateStart = entryDateStart;
    }

    /**
    * 获取 结束 入职时间
    * @return entryDateEnd
    */
    public String getEntryDateEnd(){
        return this.entryDateEnd;
    }

    /**
    * 设置 结束 入职时间
    * @param entryDateEnd
    */
    public void setEntryDateEnd(String entryDateEnd){
        this.entryDateEnd = entryDateEnd;
    }

    /**
    * 获取 开始 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return careTypeStart
    */
    public Integer getCareTypeStart(){
        return this.careTypeStart;
    }

    /**
    * 设置 开始 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeStart
    */
    public void setCareTypeStart(Integer careTypeStart){
        this.careTypeStart = careTypeStart;
    }

    /**
    * 获取 结束 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return $careTypeEnd
    */
    public Integer getCareTypeEnd(){
        return this.careTypeEnd;
    }

    /**
    * 设置 结束 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeEnd
    */
    public void setCareTypeEnd(Integer careTypeEnd){
        this.careTypeEnd = careTypeEnd;
    }

    /**
    * 获取 增加 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return careTypeIncrement
    */
    public Integer getCareTypeIncrement(){
        return this.careTypeIncrement;
    }

    /**
    * 设置 增加 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeIncrement
    */
    public void setCareTypeIncrement(Integer careTypeIncrement){
        this.careTypeIncrement = careTypeIncrement;
    }

    /**
    * 获取 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return careTypeList
    */
    public List<Integer> getCareTypeList(){
        return this.careTypeList;
    }

    /**
    * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeList
    */
    public void setCareTypeList(List<Integer> careTypeList){
        this.careTypeList = careTypeList;
    }

    /**
    * 获取 关怀类型(1.生日关怀,2.入职周年关怀)
    * @return careTypeNotList
    */
    public List<Integer> getCareTypeNotList(){
        return this.careTypeNotList;
    }

    /**
    * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeNotList
    */
    public void setCareTypeNotList(List<Integer> careTypeNotList){
        this.careTypeNotList = careTypeNotList;
    }


    /**
    * 获取 开始 发送状态(0.未发送,1.已发送)
    * @return sendStatusStart
    */
    public Integer getSendStatusStart(){
        return this.sendStatusStart;
    }

    /**
    * 设置 开始 发送状态(0.未发送,1.已发送)
    * @param sendStatusStart
    */
    public void setSendStatusStart(Integer sendStatusStart){
        this.sendStatusStart = sendStatusStart;
    }

    /**
    * 获取 结束 发送状态(0.未发送,1.已发送)
    * @return $sendStatusEnd
    */
    public Integer getSendStatusEnd(){
        return this.sendStatusEnd;
    }

    /**
    * 设置 结束 发送状态(0.未发送,1.已发送)
    * @param sendStatusEnd
    */
    public void setSendStatusEnd(Integer sendStatusEnd){
        this.sendStatusEnd = sendStatusEnd;
    }

    /**
    * 获取 增加 发送状态(0.未发送,1.已发送)
    * @return sendStatusIncrement
    */
    public Integer getSendStatusIncrement(){
        return this.sendStatusIncrement;
    }

    /**
    * 设置 增加 发送状态(0.未发送,1.已发送)
    * @param sendStatusIncrement
    */
    public void setSendStatusIncrement(Integer sendStatusIncrement){
        this.sendStatusIncrement = sendStatusIncrement;
    }

    /**
    * 获取 发送状态(0.未发送,1.已发送)
    * @return sendStatusList
    */
    public List<Integer> getSendStatusList(){
        return this.sendStatusList;
    }

    /**
    * 设置 发送状态(0.未发送,1.已发送)
    * @param sendStatusList
    */
    public void setSendStatusList(List<Integer> sendStatusList){
        this.sendStatusList = sendStatusList;
    }

    /**
    * 获取 发送状态(0.未发送,1.已发送)
    * @return sendStatusNotList
    */
    public List<Integer> getSendStatusNotList(){
        return this.sendStatusNotList;
    }

    /**
    * 设置 发送状态(0.未发送,1.已发送)
    * @param sendStatusNotList
    */
    public void setSendStatusNotList(List<Integer> sendStatusNotList){
        this.sendStatusNotList = sendStatusNotList;
    }


    /**
    * 获取 关怀内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 关怀内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
    * 获取 关怀内容
    * @return contentNotList
    */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
    * 设置 关怀内容
    * @param contentNotList
    */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public StaffCareQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public StaffCareQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public StaffCareQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public StaffCareQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public StaffCareQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public StaffCareQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public StaffCareQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public StaffCareQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public StaffCareQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public StaffCareQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public StaffCareQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public StaffCareQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public StaffCareQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public StaffCareQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }


    /**
    * 设置  所属部门
    * @param deptId
    */
    public StaffCareQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public StaffCareQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public StaffCareQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public StaffCareQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public StaffCareQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public StaffCareQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public StaffCareQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public StaffCareQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }

    /**
    * 设置  职位ID
    * @param jobId
    */
    public StaffCareQuery jobId(Long jobId){
	    setJobId(jobId);
		return this;
    }
	
	 /**
    * 设置 开始 职位ID
    * @param jobIdStart
    */
    public StaffCareQuery jobIdStart(Long jobIdStart){
		this.jobIdStart = jobIdStart;
		return this;
    }

    /**
    * 设置 结束 职位ID
    * @param jobIdEnd
    */
    public StaffCareQuery jobIdEnd(Long jobIdEnd){
		this.jobIdEnd = jobIdEnd;
		return this;
    }

    /**
    * 设置 增加 职位ID
    * @param jobIdIncrement
    */
    public StaffCareQuery jobIdIncrement(Long jobIdIncrement){
		this.jobIdIncrement = jobIdIncrement;
		return this;
    }

    /**
    * 设置 职位ID
    * @param jobIdList
    */
    public StaffCareQuery jobIdList(List<Long> jobIdList){
        this.jobIdList = jobIdList;
		return this;
        }

        /**
        * 设置 职位ID
        * @param jobIdNotList
        */
        public StaffCareQuery jobIdNotList(List<Long> jobIdNotList){
        this.jobIdNotList = jobIdNotList;
        return this;
        }


	/**
    * 设置 职位名称
    * @param jobName
    */
    public StaffCareQuery jobName(String jobName){
        setJobName(jobName);
		return this;
    }

    /**
    * 设置 职位名称
    * @param jobNameList
    */
    public StaffCareQuery jobNameList(List<String> jobNameList){
        this.jobNameList = jobNameList;
		return this;
    }


    /**
    * 设置  关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careType
    */
    public StaffCareQuery careType(Integer careType){
	    setCareType(careType);
		return this;
    }
	
	 /**
    * 设置 开始 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeStart
    */
    public StaffCareQuery careTypeStart(Integer careTypeStart){
		this.careTypeStart = careTypeStart;
		return this;
    }

    /**
    * 设置 结束 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeEnd
    */
    public StaffCareQuery careTypeEnd(Integer careTypeEnd){
		this.careTypeEnd = careTypeEnd;
		return this;
    }

    /**
    * 设置 增加 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeIncrement
    */
    public StaffCareQuery careTypeIncrement(Integer careTypeIncrement){
		this.careTypeIncrement = careTypeIncrement;
		return this;
    }

    /**
    * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
    * @param careTypeList
    */
    public StaffCareQuery careTypeList(List<Integer> careTypeList){
        this.careTypeList = careTypeList;
		return this;
        }

        /**
        * 设置 关怀类型(1.生日关怀,2.入职周年关怀)
        * @param careTypeNotList
        */
        public StaffCareQuery careTypeNotList(List<Integer> careTypeNotList){
        this.careTypeNotList = careTypeNotList;
        return this;
        }

    /**
    * 设置  发送状态(0.未发送,1.已发送)
    * @param sendStatus
    */
    public StaffCareQuery sendStatus(Integer sendStatus){
	    setSendStatus(sendStatus);
		return this;
    }
	
	 /**
    * 设置 开始 发送状态(0.未发送,1.已发送)
    * @param sendStatusStart
    */
    public StaffCareQuery sendStatusStart(Integer sendStatusStart){
		this.sendStatusStart = sendStatusStart;
		return this;
    }

    /**
    * 设置 结束 发送状态(0.未发送,1.已发送)
    * @param sendStatusEnd
    */
    public StaffCareQuery sendStatusEnd(Integer sendStatusEnd){
		this.sendStatusEnd = sendStatusEnd;
		return this;
    }

    /**
    * 设置 增加 发送状态(0.未发送,1.已发送)
    * @param sendStatusIncrement
    */
    public StaffCareQuery sendStatusIncrement(Integer sendStatusIncrement){
		this.sendStatusIncrement = sendStatusIncrement;
		return this;
    }

    /**
    * 设置 发送状态(0.未发送,1.已发送)
    * @param sendStatusList
    */
    public StaffCareQuery sendStatusList(List<Integer> sendStatusList){
        this.sendStatusList = sendStatusList;
		return this;
        }

        /**
        * 设置 发送状态(0.未发送,1.已发送)
        * @param sendStatusNotList
        */
        public StaffCareQuery sendStatusNotList(List<Integer> sendStatusNotList){
        this.sendStatusNotList = sendStatusNotList;
        return this;
        }


	/**
    * 设置 关怀内容
    * @param content
    */
    public StaffCareQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 关怀内容
    * @param contentList
    */
    public StaffCareQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public StaffCareQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public StaffCareQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public StaffCareQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public StaffCareQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public StaffCareQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public StaffCareQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public StaffCareQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public StaffCareQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public StaffCareQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public StaffCareQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public StaffCareQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public StaffCareQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<StaffCareQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<StaffCareQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<StaffCareQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<StaffCareQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}